Subject: bug#18643: 25.0.50; elisp--expect-function-p

From: Stefan Monnier <[email-masked]>
Date: Tue, 14 Oct 2014 14:32:26 -0400

>> I'd like to include company in core Emacs, yes.  Enable it by default,
>> maybe not, or not yet.  But it's an important use case.
> That's my impression. It is perfectly fine to make things work better
> for company. I am a bit worried seeing the default get worse.

I agree, we should try to handle both cases better.  I.e. have a way to
distinguish "the user explicitly requested completion, so try to come up
with something" from the company case where we only want to auto pop up
a completion menu if we're sufficiently confident that the suggestions
are valuable.

Question is how to do it.  One way I see we could do it is by adding
a property to completion data (e.g. in the data returned by the
completion-at-point-function) which says something like "unsure" or
"low-quality" so we could ignore those when the user hasn't explicitly
requested completion.

        Stefan